On This Page

{#jumplink-list}  
[Markdown](/docs/vas/en-us/webhooks/implementation/all/rest/webhooks/wh-fg-subscription-manage-intro/wh-fg-subscription-manage-get-list-intro.md)  
Filter  
FILTER BY TAG

Retrieve all of an Organization's Subscriptions {#wh-fg-subscription-manage-get-list-intro}
===========================================================================================

This section describes how to retrieve a list of the webhook subscriptions that an organization is subscribed to. This request requires you to include the organization ID in the endpoint as a query parameter. You have the option to include a product ID and event type as additional query parameters. If you include any of the optional query parameters, you must concatenate them by separating each parameter with the ampersand character (`&`).

Endpoints
---------

Send a GET request to one of these endpoints. The *`{organization.id}`* is the organization ID or merchant ID.

* **Test:** `GET ``https://apitest.visaacceptance.com``/notification-subscriptions/v2/webhooks?organizationId=`*{organization.id}*
* **Production:** `GET ``https://api.visaacceptance.com``/notification-subscriptions/v2/webhooks?organizationId=`*{organization.id}*

Required Query Parameters for Retrieving all of an Organization's Subscriptions {#wh-fg-subscription-manage-get-list-req-fields}
================================================================================================================================

eventType
:
Set to an event type. For a list of event types, see [Supported Products and Event Types](/docs/vas/en-us/webhooks/implementation/all/rest/webhooks/wh-fg-product-event-types.md "").

organizationId
:
Set to your organization ID or merchant ID.

productId
:
Set to a product ID. For a list of product IDs, see [Supported Products and Event Types](/docs/vas/en-us/webhooks/implementation/all/rest/webhooks/wh-fg-product-event-types.md "").

Optional Query Parameters for Retrieving all of an Organization's Subscriptions {#wh-fg-subscription-manage-get-list-opt-fields}
================================================================================================================================

eventType
:
Set to an event type that corresponds to the chosen product ID. For a list of event types, see [Supported Products and Event Types](/docs/vas/en-us/webhooks/implementation/all/rest/webhooks/wh-fg-product-event-types.md "").

productId
:
Set to a product ID. For a list of product IDs, see [Supported Products and Event Types](/docs/vas/en-us/webhooks/implementation/all/rest/webhooks/wh-fg-product-event-types.md "").

Example: Retrieving all of an Organization's Subscriptions {#wh-fg-subscription-manage-get-list-ex}
===================================================================================================

```keyword
GET https://apitest.visaacceptance.com/notification-subscriptions/v2/webhooks?organizationId=organization123&productId=tokenManagement&eventType=tms.networktoken.provisioned
```

Response Codes {#wh-fg-subscription-manage-get-list-reply-status}
=================================================================

A successful request is indicated by the 200-level response code. For more information about all of the possible response codes you can receive, see [Transaction Response Codes](https://developer.visaacceptance.com/api/reference/response-codes.md "").  
RELATED TO THIS PAGE

